#
# spec file for package perl-Compress-LZO
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Compress-LZO
Version:        1.09
Release:        1.1
%define cpan_name Compress-LZO
Summary:        Interface to the LZO compression library
License:        GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Compress-LZO/
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEPL/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Devel::CheckLib) >= 0.9
BuildRequires:  perl(Test::More) >= 0.94
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  lzo-devel
# MANUAL END

%description
The _Compress::LZO_ module provides a Perl interface to the _LZO_
compression library (see AUTHOR for details about where to get _LZO_). A
relevant subset of the functionality provided by _LZO_ is available in
_Compress::LZO_.

All string parameters can either be a scalar or a scalar reference.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README README.md
%license COPYING LICENSE

%changelog
* Wed May 31 2017 coolo@suse.com
- updated to 1.09
  see /usr/share/doc/packages/perl-Compress-LZO/Changes
* Sat Jan 22 2011 coolo@novell.com
- fix build
* Sat Jan 22 2011 coolo@novell.com
- initial package 1.08
  * created by cpanspec 1.78.03
